Module java.base
Package java.security

## Class KeyStore.CallbackHandlerProtection

- java.lang.Object
- - java.security.KeyStore.CallbackHandlerProtection

- All Implemented Interfaces:
    `KeyStore.ProtectionParameter`
  Enclosing class:
    KeyStore

      public static class KeyStore.CallbackHandlerProtection
      extends Object
      implements KeyStore.ProtectionParameter

  A ProtectionParameter encapsulating a CallbackHandler.
  Since:
    1.5

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallbackHandlerProtection​(CallbackHandler handler)` | Constructs a new CallbackHandlerProtection from a CallbackHandler.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `CallbackHandler` | `getCallbackHandler​()` | Returns the CallbackHandler.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CallbackHandlerProtection

          public CallbackHandlerProtection​(CallbackHandler handler)

      Constructs a new CallbackHandlerProtection from a CallbackHandler.
      Parameters:
        `handler` - the CallbackHandler
      Throws:
        `NullPointerException` - if handler is null

  - ### Method Detail

    - #### getCallbackHandler

          public CallbackHandler getCallbackHandler​()

      Returns the CallbackHandler.
      Returns:
        the CallbackHandler.